V3.0
get
/ec-designer-svc/rest/v3.0/studies/{studyId}/approved/choiceoptions
Retrieves options of all choice items in the latest approved version.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
Query Parameters
-
formCategory: string
Return forms with this Form Category. Optional.Default Value:
DCSExample:DCS
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Nested Schema : FormOptionDto
Type:
objectChoice options
Show Source
-
clCode: string
-
clDescription: string
Minimum Length:
1Maximum Length:4000 -
clItemId: string
(uuid)
-
clValue: string
-
formCategory: string
-
formSubcategory: string
- hidden: boolean
-
instructionalText: string
-
label: string
Minimum Length:
1Maximum Length:4000 -
optionSeq: string
-
value: string
Minimum Length:
1Maximum Length:4000
Example:
1Examples
404 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object